Package org.codehaus.groovy.runtime

# Class DefaultMethodKey

java.lang.Object
org.codehaus.groovy.runtime.MethodKey
org.codehaus.groovy.runtime.DefaultMethodKey

public class DefaultMethodKey extends MethodKey
A default implementation of MethodKey

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultMethodKey(Class sender, String name, Class[] parameterTypes, boolean isCallToSuper)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getParameterCount()`
  `Class`
  `getParameterType(int index)`

  ### Methods inherited from class org.codehaus.groovy.runtime.MethodKey

  `createCopy, createHashCode, equals, equals, getName, getParamterTypes, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultMethodKey

    public DefaultMethodKey(Class sender, String name, Class[] parameterTypes, boolean isCallToSuper)

- ## Method Details

  - ### getParameterCount

    public int getParameterCount()
    Specified by:
      `getParameterCount` in class `MethodKey`

  - ### getParameterType

    public Class getParameterType(int index)
    Specified by:
      `getParameterType` in class `MethodKey`